Configure the provisioned smartgears nodes with a web proxy in front of them

Feb 10, 2016 11:52 AM - Andrea Dell'Amico

Status: Closed Start date: Feb 10, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: System Configuration   

Infrastructure: Development, Pre-Production,

Production

  

Description

The goal is to only expose ports 80 or 443 (hopefully 443 only in the near future).

History

#1 - Mar 04, 2016 04:55 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 50

The solution is being tested on the dev smartexecutors right now. And it was already successfully tested on the EGI images, btw.

#2 - May 30, 2016 01:32 PM - Andrea Dell'Amico

Now that the letsencrypt solution has been tested, the web proxy can also redirect to https without additional efforts.

#3 - Oct 31, 2016 06:33 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

nginx with https is now the default when using the ansible playbooks.
